function [data]=bcdread(fname)
% .bcd (binary complex data) file read utility

ipfid = fopen(fname, 'r');
if ipfid <= 0
   error('bcdread: unable to open source file');
end

[tempdata, datalen] = fread(ipfid, 'float32');
data =  [ 1 1j ] * reshape(tempdata, 2, datalen/2);
fprintf('Read %i complex samples\n',datalen/2);

fclose(ipfid);
